import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color; 
/**
 * erzeugt optische Strings
 * 
 * @author Marek Parucha
 * @version 1.0
 */
public class Strings extends Drawing
{
    /**
     * erstellt einen sichtbaren String
     * @param 'string': String der angezeigt werdn soll
     * @param 'fontsSize': Schriftgröße
     * @param 'drawingStringType': welcher String Typ?
     */
    public Strings(String string,int fontsize, int drawingStringType)
    {
        drawingString = string;
        fontSize = fontsize;
        drawingStringIMG=new GreenfootImage(string, fontSize, Color.white, new Color(0, 0, 0, 0));
        drawingStringIMG.setTransparency(255);
        stringType = drawingStringType;
    }
    /**
     * Act - do whatever the Strings wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        
         if (stringType == 0)
         {
             drawingString = Spieleverwaltung.framesPerSecond+" FPS";
             makeString(drawingString,Color.white);
        }
        /*if (stringType == 1)
         {
             drawingString = Spieleverwaltung.currentStringSpeed+"x";
             makeString(drawingString);
        }*/
        if (stringType == 2)
         {
             drawingString = Spieleverwaltung.getScore()+"";
             makeString(drawingString,Color.white);
        }
        if (stringType == 3)
         {
             drawingString = Spieleverwaltung.getMoney()+"€";
             makeString(drawingString,Color.white);
             
        }
        if (stringType == 4)
         {
             drawingString = Spieleverwaltung.getLife()+"";
             makeString(drawingString,Color.white);
        }
        if (stringType == 5)
         {
             makeString(drawingString,Color.white);
        }
        if (stringType == 6)
         {
             makeString(drawingString,Color.black);
        }

    }    
    
    /**
     * Falls ein Objekt der Klasse 'Drawing' erstellt wird, wird entweder makeRadius oder makeString ausgeführt
     */
    @Override
    protected void addedToWorld(World world)
    {
        //makeString(drawingString);
    }
}
